#ifndef ColorList_h
#define ColorList_h

// $Id: ColorList.h,v 1.8 2013/02/21 19:55:57 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

#include "ColorModel.h"
#include "Counter.h"
#include "TreeView.h"

#include <QAction>
#include <QGroupBox>
#include <QWidget>

class ColorList: public QGroupBox
{

    Q_OBJECT

    public:

    //! constructor
    ColorList( QWidget* );

    //! destructor
    virtual ~ColorList( void )
    {}

    //! add color to list
    void add( const QColor& color, const bool& select = true );

    //! model
    ColorModel& model( void )
    { return model_; }

    //! list
    TreeView& list( void ) const
    { return *list_; }

    //! remove
    QAction& removeAction( void ) const
    { return *removeAction_; }

    protected slots:

    //! remove selected colors
    void _remove( void );

    //! update button state
    void _updateActions( void );

    private:

    //! install actions
    void _installActions( void );

    //! color model
    ColorModel model_;

    //! list
    TreeView* list_;

    //@name actions
    //@{

    //! remove action
    QAction* removeAction_;

    //@}

};

#endif
